/**
 * WorkPlaceAddressUse.java
 *
 * File generated from the medication::WorkPlaceAddressUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration WorkPlaceAddressUse.
 *
 * 
 */

@XmlType(name = "WorkPlaceAddressUse")
@XmlEnum
@XmlRootElement(name = "WorkPlaceAddressUse")
public enum WorkPlaceAddressUse {
	@XmlEnumValue("WP")
	WP("WP"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    WorkPlaceAddressUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static WorkPlaceAddressUse fromValue(String v) {
        for (WorkPlaceAddressUse c: WorkPlaceAddressUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}